Shop Search
Introduction
Retrieve shop information by keywords or filter conditions, with the following features:
- Supports fuzzy search
- Supports filtering parameters
- Supports custom result sorting
API Endpoint
bash
POST /shop/v1/searchRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
keywords | string | No | Search keywords |
filter | object | No | Filter parameters |
orderby | array | No | Sorting parameters |
page | integer | No | Page number, default: 1 |
pagesize | integer | No | Items per page, default: 10 |
filter Optional Values
| Field | Type | Required | Description |
|---|---|---|---|
seller_name | string | No | Shop Name |
seller_id | string | No | Shop id |
creator_uid | string | No | creator uid |
creator_unique_id | string | No | creator unique id : @xxxxxx |
brand_name | string | No | brand Name |
rating_range | object | No | Shop rating range, e.g., {'min': 1, 'max': 5} |
creator_range | object | No | Creator count range, e.g., {'min': 1, 'max': 123} |
is_sshop | boolean | No | Whether it’s a fully managed shop |
is_local | boolean | No | Whether it’s a local shop |
category_id | integer | No | Main category |
region | string | No | Region code |
available region code:
['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']
orderby Optional Values
| Field | Required | Description |
|---|---|---|
day7_units_sold | No | 7-day sales volume (descending) |
day7_gmv | No | 7-day revenue (descending) |
total_units_sold | No | Total sales volume (descending) |
total_gmv | No | Total revenue (descending) |
Request Example
bash
curl 'https://openapi.fastmoss.com/shop/v1/search'' ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"keywords":"",
"filter": {
"region": "US",
"seller_name": "xxxxx",
},
"orderby": [{
"field": "day7_units_sold",
"order": "desc"
}],
"page": 1,
"pagesize": 10,
}'Response Body
data.total
- Type: integer
- Description: Total number of results
data.list
| Field | Type | Description |
|---|---|---|
seller_id | string | Shop ID |
category_id | array | Product categories |
uid | string | Uid |
region | string | Region |
name | string | Shop name |
brand | string | Brand |
shop_rating | integer | Shop rating |
total_units_sold | integer | Total sales volume |
total_gmv | integer | Total revenue |
day7_units_sold | integer | 7-day sales volume |
day7_total_gmv | integer | 7-day revenue |
is_local | integer | Whether it’s a local shop |
is_sshop | integer | Whether it’s a fully managed shop |
on_sale_product_count | integer | Number of products on sale |
affiliate_creator_count | integer | Number of affiliated creators |
data.list.creator
| 字段 | 类型 | 描述 |
|---|---|---|
uid | string | creator uid |
avatar | string | creator avatar |
region | string | creator region |
nickname | string | creator nickname |
unique_id | string | creator unique_id |
follower_count | integer | creator follower_count |
category_id | integer | creator category_id |
category_name | string | creator category_name |
Response Example
json
{
"code": 0,
"data": {
"list": [
{
"seller_id": "7496169538916026807",
"category_id": ["3", "839944"],
"uid": "7502001270334194734",
"region": "US",
"name": "YOUNG",
"brand": "",
"shop_rating": 37,
"total_units_sold": 0,
"total_gmv": 0,
"day7_units_sold": 0,
"day7_total_gmv": 0,
"is_local": 0,
"is_sshop": 0,
"on_sale_product_count": 1573,
"affiliate_creator_count": 0,
"creator": {
"uid": "",
"avatar": "",
"region": "",
"nickname": "",
"unique_id": "",
"follower_count": 0,
"category_id": 0,
"category_name": ""
}
}
],
"total": 1
},
"message": "",
"timestamp": 1744797551,
"request_id": "6f12def3-6946-8c55-ef98-2c2b37af867e"
}